Package org.h2.tools

# Class GUIConsole

java.lang.Object
org.h2.util.Tool
org.h2.tools.Console
org.h2.tools.GUIConsole

All Implemented Interfaces:
  `ActionListener`, `MouseListener`, `WindowListener`, `EventListener`, `ShutdownHandler`

public class GUIConsole extends Console implements ActionListener, MouseListener, WindowListener
Console for environments with AWT support.

## Field Summary

### Fields inherited from class org.h2.util.Tool

`out`

## Constructor Summary

Constructors
Constructor
Description
`GUIConsole()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
INTERNAL
`protected String`
`getMainClassName()`
Returns main class name of the tool.
`void`
`mouseClicked(MouseEvent e)`
INTERNAL
`void`
`mouseEntered(MouseEvent e)`
INTERNAL
`void`
`mouseExited(MouseEvent e)`
INTERNAL
`void`
`mousePressed(MouseEvent e)`
INTERNAL
`void`
`mouseReleased(MouseEvent e)`
INTERNAL
`void`
`shutdown()`
INTERNAL.
`void`
`windowActivated(WindowEvent e)`
INTERNAL
`void`
`windowClosed(WindowEvent e)`
INTERNAL
`void`
`windowClosing(WindowEvent e)`
INTERNAL
`void`
`windowDeactivated(WindowEvent e)`
INTERNAL
`void`
`windowDeiconified(WindowEvent e)`
INTERNAL
`void`
`windowIconified(WindowEvent e)`
INTERNAL
`void`
`windowOpened(WindowEvent e)`
INTERNAL

### Methods inherited from class org.h2.tools.Console

`main, runTool`

### Methods inherited from class org.h2.util.Tool

`isOption, printNoDatabaseFilesFound, setOut, showUsage, showUsageAndThrowUnsupportedOption, throwUnsupportedOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GUIConsole

public GUIConsole()

## Method Details

### getMainClassName

protected String getMainClassName()
Description copied from class: `Tool`
Returns main class name of the tool.

Overrides:
  `getMainClassName` in class `Tool`
Returns:
  the name of the main class

### shutdown

public void shutdown()
Description copied from class: `Console`
INTERNAL. Stop all servers that were started using the console.

Specified by:
  `shutdown` in interface `ShutdownHandler`
Overrides:
  `shutdown` in class `Console`

### actionPerformed

public void actionPerformed(ActionEvent e)
INTERNAL

Specified by:
  `actionPerformed` in interface `ActionListener`

### mouseClicked

public void mouseClicked(MouseEvent e)
INTERNAL

Specified by:
  `mouseClicked` in interface `MouseListener`

### mouseEntered

public void mouseEntered(MouseEvent e)
INTERNAL

Specified by:
  `mouseEntered` in interface `MouseListener`

### mouseExited

public void mouseExited(MouseEvent e)
INTERNAL

Specified by:
  `mouseExited` in interface `MouseListener`

### mousePressed

public void mousePressed(MouseEvent e)
INTERNAL

Specified by:
  `mousePressed` in interface `MouseListener`

### mouseReleased

public void mouseReleased(MouseEvent e)
INTERNAL

Specified by:
  `mouseReleased` in interface `MouseListener`

### windowClosing

public void windowClosing(WindowEvent e)
INTERNAL

Specified by:
  `windowClosing` in interface `WindowListener`

### windowActivated

public void windowActivated(WindowEvent e)
INTERNAL

Specified by:
  `windowActivated` in interface `WindowListener`

### windowClosed

public void windowClosed(WindowEvent e)
INTERNAL

Specified by:
  `windowClosed` in interface `WindowListener`

### windowDeactivated

public void windowDeactivated(WindowEvent e)
INTERNAL

Specified by:
  `windowDeactivated` in interface `WindowListener`

### windowDeiconified

public void windowDeiconified(WindowEvent e)
INTERNAL

Specified by:
  `windowDeiconified` in interface `WindowListener`

### windowIconified

public void windowIconified(WindowEvent e)
INTERNAL

Specified by:
  `windowIconified` in interface `WindowListener`

### windowOpened

public void windowOpened(WindowEvent e)
INTERNAL

Specified by:
  `windowOpened` in interface `WindowListener`